@import url('https://fonts.googleapis.com/css2?family=Barlow+Condensed:ital,wght@0,200;0,300;0,400;0,500;0,600;0,800;0,900;1,700&family=Bebas+Neue&family=Racing+Sans+One&family=Roboto:wght@100;300;400;500;700;900&display=swap');
*{
margin: 0;padding: 0;box-sizing: border-box;font-family: 'Barlow Condensed',sans-serif;font-family: 'Bebas Neue',sans-serif;font-family: 'Racing Sans One',sans-serif;font-family: 'Roboto',sans-serif;}
html{scroll-behavior:smooth; overflow-x:hidden ;}
body {background-color: rgb(219,223,198);text-align: center;font-family: sans-serif; font-weight: 500;padding-top: 5.5rem;margin: 0rem;min-height: 100%;overflow-x: hidden;}

h1
h2
h3
h4
h5
h6
h7{font-size: "Poppins", sans-serif;}
h1{color: rgb(0,10,45);font-weight: 800;font-size: 1.7rem;letter-spacing: 0.09rem;text-shadow: 0.1rem 0.05rem 0.2rem #212529,0 0 0.1rem blue,0 0 0.02rem blue;word-spacing: 0.2rem;font-family: serif;}
h2{color: rgb(241,241,241);font-size: 1.5rem;font-weight: 600;letter-spacing:  0.09rem;text-shadow:0.1rem 0.1rem 0.2rem rgb(104,41,76),0 0 0.1rem rgb(201,62,132),0 0 0.408rem rgb(255,0,144);}
h3{text-shadow:0.1rem 0.05rem 2rem rgb(226, 226, 226), 0 0 0.1rem rgb(91, 91, 91), 0 0 0.02rem rgb(0, 0, 0)  ;color: rgb(79, 79, 79);font-size: 1.5rem;}
h4{color:rgb(247, 247, 247);font-size: 1rem;text-shadow:0.1rem 0.05rem 2rem rgb(226, 226, 226), 0 0 0.1rem rgb(91, 91, 91), 0 0 0.02rem rgb(0, 0, 0);}
h5{font-size: 2.5rem;text-shadow:0.1rem 0.09rem 2rem rgb(226, 226, 226), 0 0 0.2rem rgb(91, 91, 91), 0 0 0.02rem rgb(0, 0, 0)  ;color: rgb(0, 16, 164);}
h6{font-size: 2.5rem;text-shadow:0.1rem 0.05rem 0.2rem rgb(226, 226, 226), 0 0 0.2rem rgb(0, 21, 255), 0 0 0.02rem rgb(0, 0, 0)  ;color: rgb(255, 136, 0);letter-spacing: 0.4rem;}
h7{font-size: 2rem;text-shadow:0.1rem 0.05rem 0.2rem rgb(226, 226, 226), 0 0 0.2rem rgb(0, 21, 255),-1px -2px 0rem rgb(255, 255, 255);color: rgb(0, 0, 0);letter-spacing: 0.1rem;font-weight: 700;}
p {line-height: 1.8rem;font-size: 1.4rem;font-weight: 900;color: rgb(58, 104, 255);letter-spacing: 0.15rem;text-shadow: var();margin: 0rem 0rem;padding: 0rem 0rem;}
a {text-decoration: none;align-items: center;}
span{text-shadow: 0.1rem 0.05rem 0.2rem #212529,0 0 0.1rem blue,0 0 0.02rem blue;word-spacing:  3rem;font-weight: 300;font-size: 1rem;text-transform: uppercase;letter-spacing: 0.1rem;}
header{opacity: 1;transition: opacity 5s ;display: flex;align-items: center;justify-content: center;text-align: center;position: fixed;top: 0;left: 0;width: 100%;z-index: 9999 ;background-color: rgb(235, 0, 90);padding: 0rem ;}
header.visible {opacity: 1;}

header.scroll-down {box-shadow: 0 0.3rem 1rem rgba(0, 0, 0, 2);transition: 0.4s ease;}

.tpmatka{height: 2rem;width: 2rem;margin: 0.9rem -0.15rem 1rem 0;}

p {display: inline-block;vertical-align: top;margin: 1.2rem -0.1rem 0 0 ;}

.word {position: absolute;display: inline-block;vertical-align: top;margin: 0;opacity: 0;}

.letter {display: inline-block;position: relative;float: none;transform: translateZ(2.5rem);transform-origin: 50% 50% 2.5rem;}

.letter.out {transform: rotateX(90deg);transition: transform 0.32s cubic-bezier(0.55, 0.055, 0.675, 0.19);text-transform: lowercase;font-weight: 800;font-size: 2rem;}

.letter.behind {transform: rotateX(-90deg);}

.letter.in {transform: rotateX(0deg);transition: transform 0.38s cubic-bezier(0.175, 0.885, 0.32, 1.275);text-transform: lowercase;font-weight: 800;font-size: 2rem;}

.satta {color: rgb(255 255 0);transform: scaleX(1.23); display: inline-block;padding: 0 0 0 0.4rem ;}

.matka {color: #00dafc;}

.main {border-radius: 2rem;width: 100%;padding: 6% 1% 4% 1%;box-shadow: 0 0 0.5rem #000, inset 0 1rem 1.25rem 0 rgb(58 58 58 / 50%), inset 0 0 3px 1px rgba(0, 0, 0, 0.7);background-attachment: fixed;background-image: linear-gradient(#d8ca9d, #eb005a);background-position: left;background-repeat: repeat;background-size: auto auto;}

.main-border {box-shadow: 0 0 1rem #000;padding: 0.5rem;border-radius: 2rem 2rem 0 0;margin: 0 auto;}

.section {font-size: 1rem;box-shadow: inset 0 0 10px 4px rgb(58 58 58 / 50%);width: 100%;padding: auto;padding: 1rem 1rem 1rem 1rem;background-color: hsl(46,43%,73%);}

.bgyelblk {-webkit-animation: blink 2s linear infinite;-moz-animation: blink 2s linear infinite;-o-animation: blink 2s linear infinite;animation: blink 2s linear infinite;}
@-webkit-keyframes blink{
  0%, 40% {background-color: rgb(255, 252, 221);}
  50%, 100% {background-color: rgb(209, 255, 5);}}

.refbtnlly {border: 0;padding: 0.3rem 0.8rem;border-radius: 5rem;color:hsl(46,43%,73%);cursor: pointer;outline: 0;background-image: linear-gradient(-180deg, #FF89D6 0%, #C01F9E 100%);box-shadow: 0 5px 17px 0px rgba(22,75,195,0.50), 0 -0.25rem 1.5rem rgba(110, 15, 155, 1) inset, 0 0.75rem 0.5rem rgba(255,255,255, 0.4) inset, 0 0.25rem 0.5rem 0 rgba(180, 70, 207, 1) inset; }

#nomargin {margin: 0;}

.panel-heading{margin: 1rem 1rem;padding: 0.5rem;width: 100%;transition: width 0.3s ease;background: radial-gradient(circle at center, #d64179 0%, #d8ca9d 100%);border-radius: 0.6rem;border: 0.3rem solid rgb(255, 255, 255);margin: 0.4rem 0 0.4rem 0}

table{border-collapse: collapse;font-family: 'Roboto', sans-serif;font-weight: 400;width: 100%;max-width: 60rem;font-size: 0.8rem;margin: 0.5rem auto;}  

th {border: 1px solid #1cc5c0a8;background: rgb(255 0 0);background-image: linear-gradient(-180deg, #ffef89 0%, #c17300 100%);box-shadow: rgba(0, 0, 0, 0.15) 0px 6px 2.6px, 0 -0.25rem 1rem 0px rgb(155 128 15) inset, 0 0.75rem 0.5rem rgba(255,255,255, 0.4) inset, 0 0.25rem 0.5rem 2px rgb(207 193 70) inset;text-shadow: 1px 1px 2px #5c4500ab;color: azure;}

td {border:1px solid #1cc5c0a8;}

.rana {display: flex;align-items: center;justify-content: space-around;padding: 1px;}

.highlight1  .f1 {color: rgb(182, 0, 73);letter-spacing: 1px; }
.highlight1 .l1 {color: rgb(182, 0, 73);letter-spacing: 1px; }

tr:nth-child(even) {background-color: rgb(216, 202, 157, 0.1);}

tbody tr td:nth-child(even) {background-color: rgba(216, 202, 157, 0.3);}

tr:nth-child(odd) {background-color: rgba(216, 202, 157, 0.2);}

tbody tr td:nth-child(odd) {background-color: rgba(216, 202, 157, 0.4);}

.highlight {color: rgb(182, 0, 73);}

tr td:nth-child(1) {width: 4rem;font-size: 0.6rem;}

.panel.panel-info {width: 100%;background-color: rgb(216,202,157);}

@media only screen and (min-width: 330px)  and (max-width: 520px)   {
table {font-size:-10%;margin: 0.5rem auto;} 
.highlight {font-size:15px;letter-spacing: 1px; 
font-weight: 600;}
.m1 {font-size:15px;letter-spacing: 1px; 
font-weight: 600;}
tr td:nth-child(1) {width:4rem;}
th {font-size:  1rem;}} 

@media only screen and (min-width: 520px)  {
table {font-size: 105%;font-weight: 900;margin: 0.5rem auto;} 
.highlight {font-size: 125%;}
.m1 {font-size: 125%;}
tr td:nth-child(1) {font-size: 10px;width: 70px;}
    th {font-size:  1.3rem;}}

/*@media (max-width: 300px) {
Add responsive styles for smaller screens here 
.highlight .highlight1 {
font-size: 10px;}
.highlight1 {
padding: 0 0.6px;}
th, td {
padding: 6px;}}*/
/* Styles for the scroll-to-top button */
.scroll-to-top-button {position: fixed;bottom: 1rem;right: 1rem;background-color: #ff0066;color: white;border: solid 2px black;border-radius: 50%; /* Makes it a circle */width: 40px; /* Adjust size as needed */height: 40px; /* Adjust size as needed */font-size: 24px;cursor: pointer;transform-origin: center;transition: 1s ease-in-out;}
  
.scroll-to-top-button:hover {background-color: #d6a164;}
  
.rotate-up {transform: rotate(540deg);}
  
.hidden {display: none;}

.chart-list {margin: 0.5rem 0 0.5rem 0;font-size: 1rem;font-weight: 400;border: solid 0.1rem black;border-radius: 8px 8px 0px 0;background-attachment: fixed;background-image: linear-gradient(#e66492, #dfe591);background-position: left;background-repeat: repeat;background-size: auto auto;}
  
.zone {flex-direction: row;flex-wrap: wrap;justify-content: center;align-items: center;padding: 1rem 1rem 1rem 1rem;background: radial-gradient(circle,#024c88,#06051fb7);color: #fff;padding: 5px 10px 3px;font-size: 24px;border-radius: 7px;text-align: center;font-weight: 600;}
  
.foolast{background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);background-size: 400% 400%;animation: gradient 15s ease infinite;bottom: 5px;padding: 1rem;text-align: center;}

@keyframes gradient {
0% {background-position: 0% 50%;}
50% {background-position: 100% 50%;}
100% {background-position: 0% 50%;}}
.other a{color:#0700d6;transition: all 0.2s ease 0s;}
 .other a:hover{color:#ffffff;}
  .liho{background-image: linear-gradient(#cacaca, #a7a7a7);}
   .liho a:nth-child(1) {color: DeepPink;}
    .liho a:nth-child(2) {color: green;}
     .liho a:nth-child(3) {color: orange;}
      .liho a:nth-child(4) {color: blue;}
.liho a:nth-child(5) {color: purple;}
.liho a:nth-child(6) {color: DodgerBlue;}
.liho a:nth-child(7) {color: rgb(128, 0, 2);}
.liho a:nth-child(8) {color: cyan;}

.liho a:nth-child(1):hover,
.liho a:nth-child(2):hover,
.liho a:nth-child(3):hover,
.liho a:nth-child(4):hover,
.liho a:nth-child(5):hover,
.liho a:nth-child(6):hover,
.liho a:nth-child(7):hover,
.liho a:nth-child(8):hover, 
.liho a:nth-child(9):hover{
  background-color: #000;
  color: #FFFFFF; /* White */
  text-shadow: 0 0 5px #fff,0 0 10px #fff,0 0 15px #fff,0 0 20px #228dff,0 0 35px #228dff,0 0 40px #228dff;}

#nomargin{margin: 0;font-size: 1rem;padding: 0.5rem;}

.tp-line {border: solid 0.1rem rgb(0, 0, 0);}
.co-btn{font-size: 0.4rem;}